<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
require_once('../utilesphp/sql_oop.php'); //conexion a base de datos
$ventas=$mysqli->query('SELECT * FROM ventas WHERE Idcliente="'.$_GET['Idcliente'].'" AND tipodoc="'.$_GET['tipodoc'].'" AND ndoc="'.$_GET['ndoc'].'"');
  $row_ventas = $ventas->fetch_array();
if ($ventas->num_rows==0 || $_GET['tipodoc']=='sin documento') {
	if (isset($_GET['dia']) AND isset($_GET['mes']) AND isset($_GET['anno']) AND isset($_GET['Idcliente']) AND isset($_GET['tipodoc']) AND isset($_GET['ndoc']) AND $_SESSION['sucursal']<>'') {
		$fecha=$_GET['anno'].'-'.$_GET['mes'].'-'.$_GET['dia'];
		if ($_GET['formapago']=="credito") {$formapago="credito"; $pagada="no";} else {$formapago=$_GET['formapago']; $pagada="si";}
		if ($pagada=="si") {$fechapago=$fecha;} else {$fechapago='0000-00-00';}
		$insert=$mysqli->query('INSERT INTO ventas (fecha,tipodoc,ndoc,Idcliente,pagada,formapago,fechapago,Idsucursal) VALUES ("'.$fecha.'","'.$_GET['tipodoc'].'","'.$_GET['ndoc'].'","'.$_GET['Idcliente'].'","'.$pagada.'","'.$formapago.'","'.$fechapago.'","'.$_SESSION['sucursal'].'")');
		$Idventa=$mysqli->insert_id;
		
		if ($ventas) {$ventas->free();}
		if ($precios) {$precios->free();}
		$mysqli->close();
		header('Location: ../movimientos-ventas-detalle.php?Idventa='.$Idventa.'&i=i');
	} else {
		if ($ventas) {$ventas->free();}
		if ($precios) {$precios->free();}
		$mysqli->close();
		header('Location: ../movimientos-ventas.php');
		}
} else {
	if ($ventas) {$ventas->free();}
	if ($precios) {$precios->free();}
	$Idventa=$row_ventas['Idventa'];
	$mysqli->close();
	header('Location: ../movimientos-ventas-detalle.php?Idventa='.$Idventa);
}
?>